module CommonPassword
  class List
    # Returns a list of the #{Devise.password_matches} most common passwords.
    def self.get
      passwords_file = File.join(File.dirname(__FILE__), "passwords.txt")

      passwords = []
      File.open(passwords_file, 'r') do |file|
        file.each { |password| passwords << password.chomp.downcase }
      end
      passwords.select! { |password| ::Devise.password_length.include? password.length }
      passwords[0..::Devise.password_matches - 1]
    end
  end
end
