# frozen_string_literal: true

require 'zxcvbn_password/model'
require 'common_password/model'
require 'pwned_password/model'

module Devise
  module Models
    module PasswordBreachAlert
      extend ActiveSupport::Concern
      include ZxcvbnPassword::Model
      include CommonPassword::Model
      include PwnedPassword::Model

      module ClassMethods
        ::Devise::Models.config(self, :pwned_active)
        ::Devise::Models.config(self, :common_active)
        ::Devise::Models.config(self, :zxcvbn_active)
        ::Devise::Models.config(self, :breaches_policy)
        ::Devise::Models.config(self, :breaches_filter)
        ::Devise::Models.config(self, :breaches_filter_options)
      end
    end
  end
end
