module PasswordBreachAlert
  module Api
    # TODO: add some lock

    module LastCalledAt
      mattr_accessor :last_called_at
    end

    SLEEP_DURATION = 1.6.seconds

    class Base
      include LastCalledAt

      DEFAULT_REQUEST_OPTIONS = {
        'User-Agent' => 'PasswordBreachAlert'
      }.freeze

      def initialize(request_options = {})
        @request_options = DEFAULT_REQUEST_OPTIONS.merge(request_options)
      end

      def with_wait
        return enum_for :with_wait unless block_given?

        # TODO: with_advisory_lock('PasswordBreachAlert::Api') do
        if last_called_at && last_called_at > SLEEP_DURATION.ago
          sleep(last_called_at - SLEEP_DURATION.ago)
        end

        result = yield

        self.last_called_at = Time.current
        # TODO: end

        result
      end
    end
  end
end
