require 'password_breach_alert/api/base'

module PasswordBreachAlert
  module Api
    class Breachedaccount < PasswordBreachAlert::Api::Base
      API_URL = 'https://haveibeenpwned.com/api/v2/breachedaccount/'.freeze

      def call(account, params = nil)
        query = (params || {}).reverse_merge('truncateResponse': true).to_query
        endpoint = "#{API_URL}#{account}?#{query}"

        with_wait do
          JSON.parse(URI.parse(endpoint).open(@request_options).read)
        end
      end
    end
  end
end
