require 'password_breach_alert/api/breachedaccount'

module PasswordBreachAlert
  module BreachesFilters
    # returns the new_breaches where the user appears
    class NewWithUser
      attr_reader :api

      def initialize(api: PasswordBreachAlert::Api::Breachedaccount.new)
        @api = api
      end

      def call(user, new_breaches, _breaches)
        api_breaches = api.call(user.email)
        api_breaches_names = api_breaches.map { |api_breach| api_breach['Name'] }

        new_breaches.where(name: api_breaches_names)
      end
    end
  end
end
