# frozen_string_literal: true

require "devise"
require "zxcvbn_password/tester"

module ZxcvbnPassword
  module Devise

    # The minimun score for a password.
    mattr_accessor :zxcvbn_min_password_score
    mattr_accessor :zxcvbn_tester
    @@zxcvbn_min_password_score = 4
    @@zxcvbn_tester = Tester.new

    def self.zxcvbn_min_password_score=(score)
      raise "The zxcvbn_min_password_score must be an integer and between 0..4" unless (0..4).include?(score)
      @@zxcvbn_min_password_score = score
    end
  end
end
