require "zxcvbn"

class Tester < Zxcvbn::Tester
  IT = {
    "less than a second" => "meno di un secondo",
    "seconds" => "secondi",
    "second" => "secondo",
    "minutes" => "minuti",
    "minute" => "minuto",
    "hours" => "ore",
    "hour" => "ora",
    "days" => "giorni",
    "day" => "giorno",
    "months" => "mesi",
    "month" => "mese",
    "centuries" => "secoli"
  }

  def test(password, user_inputs = [])
    result = super(password, user_inputs)
    result.crack_times_display['offline_slow_hashing_1e4_per_second'] = localize(result.crack_times_display['offline_slow_hashing_1e4_per_second'])
    result
  end

  private

    def localize(string)
      if I18n.locale == :it
        IT.each_pair do |key, val|
          return string.gsub(key, val) if string =~ /#{key}/i
        end
      end

      string
    end
end
